## GtkVScrollbar

GtkVScrollbar — A vertical scrollbar

## Functions

GtkWidget * | gtk_vscrollbar_new ()

## Types and Values

struct | GtkVScrollbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkRange
                        ╰── GtkScrollbar
                            ╰── GtkVScrollbar

## Implemented Interfaces

GtkVScrollbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkVScrollbar widget is a widget arranged vertically creating a scrollbar. See GtkScrollbar for details on scrollbars. GtkAdjustment pointers may be added to handle the adjustment of the scrollbar or it may be left `NULL` in which case one will be created for you. See GtkScrollbar for a description of what the fields in an adjustment represent for a scrollbar.

## Functions

### gtk_vscrollbar_new ()

    GtkWidget *
    gtk_vscrollbar_new (GtkAdjustment *adjustment);

Creates a new vertical scrollbar.

#### Parameters

adjustment | the GtkAdjustment to use, or `NULL` to create a new adjustment. | [allow-none]

#### Returns

the new GtkVScrollbar

## Types and Values

### struct GtkVScrollbar

    struct GtkVScrollbar;

The GtkVScrollbar struct contains private data and should be accessed using the functions below.

## See Also

GtkScrollbar, GtkScrolledWindow